Changeset c43581a


Ignore:
Timestamp:
04/28/2017 05:41:47 PM (5 years ago)
Author:
Bruce Dubbs <bdubbs@…>
Branches:
10.0, 10.0-rc1, 10.1, 10.1-rc1, 11.0, 11.0-rc1, 11.0-rc2, 11.0-rc3, 8.1, 8.1-rc1, 8.1-rc2, 8.2, 8.2-rc1, 8.3, 8.3-rc1, 8.3-rc2, 8.4, 8.4-rc1, 9.0, 9.0-rc1, 9.1, 9.1-rc1, cross-chap5, ml-11.0, multilib, old-trunk, trunk, xry111/git-transition, xry111/glibc-2.34, xry111/tester-nohack, xry111/usr-move
Children:
7ff6165
Parents:
6749655
Message:

Add a patch to fix a flex regresion in version 2.6.3.
Update to linux-4.10.13.

git-svn-id: http://svn.linuxfromscratch.org/LFS/trunk/BOOK@11235 4aa44e1e-78dd-0310-a6d2-fbcd4c07a689

Files:
7 edited

Legend:

Unmodified
Added
Removed
  • chapter01/changelog.xml

    r6749655 rc43581a  
    4747      <itemizedlist>
    4848        <listitem>
     49          <para>[bdubbs] - Add a patch to fix a flex regresion in version 2.6.3.</para>
     50        </listitem>
     51        <listitem>
     52          <para>[bdubbs] - Update to linux-4.10.13. Fixes
     53          <ulink url="&lfs-ticket-root;4079">#4079</ulink>.</para>
     54        </listitem>
     55      </itemizedlist>
     56    </listitem>
     57
     58    <listitem>
     59      <para>2017-04-26</para>
     60      <itemizedlist>
     61        <listitem>
    4962          <para>[bdubbs] - Update to grub-2.02. Fixes
    5063          <ulink url="&lfs-ticket-root;4042">#4042</ulink>.</para>
  • chapter01/whatsnew.xml

    r6749655 rc43581a  
    260260    </listitem>
    261261-->
     262    <listitem>
     263      <para>flex-2.6.3-upstream_fix-1.patch</para>
     264    </listitem>
    262265  </itemizedlist>
    263266
  • chapter03/patches.xml

    r6749655 rc43581a  
    5050      </listitem>
    5151    </varlistentry>
    52 <!--
     52
    5353    <varlistentry>
    5454      <term>Flex Fixes Patch - <token>&flex-fixes-patch-size;</token>:</term>
     
    5858      </listitem>
    5959    </varlistentry>
    60 
     60<!--
    6161    <varlistentry>
    6262      <term>Gccc ASAN Patch - <token>&gcc-asan-patch-size;</token>:</term>
  • chapter06/flex.xml

    r6749655 rc43581a  
    4141  <sect2 role="installation">
    4242    <title>Installation of Flex</title>
     43
     44    <para>First, fix a problem with the latest version:</para>
     45
     46<screen><userinput remap="pre">patch -Np1 -i ../&flex-fixes-patch;</userinput></screen>
    4347
    4448    <para>The build procedure assumes the <application>help2man</application>
  • general.ent

    r6749655 rc43581a  
    1 <!ENTITY version         "SVN-20170426">
     1<!ENTITY version         "SVN-20170428">
    22<!ENTITY short-version   "svn">  <!-- Used below in &blfs-book;
    33                                      Change to x.y for release but not -rc releases -->
    44<!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
    55
    6 <!ENTITY versiond        "20170426-systemd">
     6<!ENTITY versiond        "20170428-systemd">
    77<!ENTITY short-versiond  "systemd">
    88<!ENTITY generic-versiond "systemd">
    99
    10 <!ENTITY releasedate     "April 26, 2017">
     10<!ENTITY releasedate     "April 28, 2017">
    1111
    1212<!ENTITY copyrightdate   "1999-2017"><!-- jhalfs needs a literal dash, not &ndash; -->
  • packages.ent

    r6749655 rc43581a  
    393393<!ENTITY linux-major-version "4">
    394394<!ENTITY linux-minor-version "10">
    395 <!ENTITY linux-patch-version "12">
     395<!ENTITY linux-patch-version "13">
    396396<!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
    397397<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
    398 <!ENTITY linux-size "92,041 KB">
     398<!ENTITY linux-size "92,033 KB">
    399399<!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
    400 <!ENTITY linux-md5 "64ea1adbb60a311e03c24c99471db3f7">
     400<!ENTITY linux-md5 "c3ea815abc2784bed9414ea91a691fb4">
    401401<!ENTITY linux-home "http://www.kernel.org/">
    402402<!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
  • patches.ent

    r6749655 rc43581a  
    2121<!ENTITY coreutils-i18n-patch-size "168 KB">
    2222
     23<!ENTITY flex-fixes-patch "flex-&flex-version;-upstream_fix-1.patch">
     24<!ENTITY flex-fixes-patch-md5 "799f2a14a31eaae831fb141b48f7b81c">
     25<!ENTITY flex-fixes-patch-size "0.9 KB">
     26
    2327<!--
    24 <!ENTITY flex-fixes-patch "flex-&flex-version;-fixes-1.patch">
    25 <!ENTITY flex-fixes-patch-md5 "ab07c395c5c96839f4fbc7801ed4cf73">
    26 <!ENTITY flex-fixes-patch-size "200 KB">
    27 
    2828<!ENTITY gcc-asan-patch "gcc-&gcc-version;-asan-1.patch">
    2929<!ENTITY gcc-asan-patch-md5 "c12ab2e323010fda83bfccc27f58f0b5">
Note: See TracChangeset for help on using the changeset viewer.